> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yoshi.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Test Drive account

> Create a Test Drive account. Requires user approval in the Yoshi web app before the account is created.



## OpenAPI

````yaml https://app.stainless.com/api/spec/documented/yoshi/openapi.documented.yml post /paper-trading/accounts
openapi: 3.1.0
info:
  title: Yoshi API
  version: 1.0.0
  description: Consumer API for accessing your Yoshi financial data programmatically.
servers:
  - url: https://api.yoshi.ai/v1
    description: Production
  - url: https://staging-api.yoshi.ai/v1
    description: Staging
security:
  - bearerAuth: []
paths:
  /paper-trading/accounts:
    post:
      tags:
        - Test Drive
      summary: Create Test Drive account
      description: >-
        Create a Test Drive account. Requires user approval in the Yoshi web app
        before the account is created.
      operationId: createTestDriveAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                starting_cash_balance:
                  type: string
                  pattern: ^\d{1,13}(\.\d{1,2})?$
                  default: '100000'
                name:
                  type: string
                  minLength: 1
                  maxLength: 100
                skip_approval:
                  type: boolean
                  default: false
                  description: >-
                    Skip the approval flow and execute immediately. Not
                    supported yet — reserved for future use.
      responses:
        '200':
          description: Approval request created. User must approve in the Yoshi web app.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      action_id:
                        type: string
                        format: uuid
                      action_type:
                        type: string
                      action_kind:
                        type: string
                        enum:
                          - trade
                          - transfer
                          - data_fix
                          - automation
                          - account_create
                          - unknown
                      status:
                        type: string
                      thread_id:
                        type:
                          - string
                          - 'null'
                        format: uuid
                      approval_url:
                        type: string
                      approval_status_url:
                        type:
                          - string
                          - 'null'
                      description:
                        type:
                          - string
                          - 'null'
                      display_error_message:
                        type:
                          - string
                          - 'null'
                      created_at:
                        type:
                          - string
                          - 'null'
                      updated_at:
                        type:
                          - string
                          - 'null'
                      decided_at:
                        type:
                          - string
                          - 'null'
                      executed_at:
                        type:
                          - string
                          - 'null'
                      expires_at:
                        type:
                          - string
                          - 'null'
                      decision_needs:
                        type: object
                        properties:
                          approval:
                            type: boolean
                          passkey:
                            type: boolean
                          identity_verification:
                            type: boolean
                          client_execution:
                            type: boolean
                        required:
                          - approval
                          - passkey
                          - identity_verification
                          - client_execution
                      details_v1:
                        oneOf:
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - paper_trade
                              account:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  source:
                                    type: string
                                    enum:
                                      - paper
                                      - apex
                                  source_label:
                                    type:
                                      - string
                                      - 'null'
                                  display_name:
                                    type: string
                                  subtitle:
                                    type:
                                      - string
                                      - 'null'
                                  institution_name:
                                    type:
                                      - string
                                      - 'null'
                                  icon_url:
                                    type:
                                      - string
                                      - 'null'
                                  available_amount_display:
                                    type:
                                      - string
                                      - 'null'
                                  available_amount_label:
                                    type: string
                                  available_amount_state:
                                    type: string
                                    enum:
                                      - available
                                      - unavailable
                                required:
                                  - id
                                  - source
                                  - source_label
                                  - display_name
                                  - subtitle
                                  - institution_name
                                  - icon_url
                                  - available_amount_display
                                  - available_amount_label
                                  - available_amount_state
                              symbol:
                                type: string
                              security_name:
                                type:
                                  - string
                                  - 'null'
                              side:
                                type: string
                                enum:
                                  - buy
                                  - sell
                              side_label:
                                type: string
                              input_mode:
                                type: string
                                enum:
                                  - shares
                                  - dollars
                              quantity:
                                type: string
                              quantity_display:
                                type: string
                              amount_label:
                                type: string
                              current_price_display:
                                type:
                                  - string
                                  - 'null'
                              price_change_display:
                                type:
                                  - string
                                  - 'null'
                              price_change_direction:
                                type:
                                  - string
                                  - 'null'
                                enum:
                                  - positive
                                  - negative
                                  - neutral
                                  - null
                              quote_as_of:
                                type:
                                  - string
                                  - 'null'
                                format: date-time
                              quote_as_of_label:
                                type:
                                  - string
                                  - 'null'
                              estimated_cost_display:
                                type:
                                  - string
                                  - 'null'
                              order_type_display:
                                type:
                                  - string
                                  - 'null'
                              proposed_by_label:
                                type: string
                              top_markdown:
                                type:
                                  - string
                                  - 'null'
                              bottom_markdown:
                                type:
                                  - string
                                  - 'null'
                              reason_markdown:
                                type:
                                  - string
                                  - 'null'
                              timing_disclosure:
                                type:
                                  - string
                                  - 'null'
                              money_movement_disclosure:
                                type:
                                  - string
                                  - 'null'
                              primary_action_label:
                                type: string
                              secondary_action_label:
                                type: string
                            required:
                              - kind
                              - account
                              - symbol
                              - security_name
                              - side
                              - side_label
                              - input_mode
                              - quantity
                              - quantity_display
                              - amount_label
                              - current_price_display
                              - price_change_display
                              - price_change_direction
                              - quote_as_of
                              - quote_as_of_label
                              - estimated_cost_display
                              - order_type_display
                              - proposed_by_label
                              - top_markdown
                              - bottom_markdown
                              - reason_markdown
                              - timing_disclosure
                              - money_movement_disclosure
                              - primary_action_label
                              - secondary_action_label
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - trade
                              account:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  source:
                                    type: string
                                    enum:
                                      - paper
                                      - apex
                                  source_label:
                                    type:
                                      - string
                                      - 'null'
                                  display_name:
                                    type: string
                                  subtitle:
                                    type:
                                      - string
                                      - 'null'
                                  institution_name:
                                    type:
                                      - string
                                      - 'null'
                                  icon_url:
                                    type:
                                      - string
                                      - 'null'
                                  available_amount_display:
                                    type:
                                      - string
                                      - 'null'
                                  available_amount_label:
                                    type: string
                                  available_amount_state:
                                    type: string
                                    enum:
                                      - available
                                      - unavailable
                                required:
                                  - id
                                  - source
                                  - source_label
                                  - display_name
                                  - subtitle
                                  - institution_name
                                  - icon_url
                                  - available_amount_display
                                  - available_amount_label
                                  - available_amount_state
                              symbol:
                                type: string
                              security_name:
                                type:
                                  - string
                                  - 'null'
                              side:
                                type: string
                                enum:
                                  - buy
                                  - sell
                              side_label:
                                type: string
                              input_mode:
                                type: string
                                enum:
                                  - shares
                                  - dollars
                              quantity:
                                type: string
                              quantity_display:
                                type: string
                              amount_label:
                                type: string
                              current_price_display:
                                type:
                                  - string
                                  - 'null'
                              price_change_display:
                                type:
                                  - string
                                  - 'null'
                              price_change_direction:
                                type:
                                  - string
                                  - 'null'
                                enum:
                                  - positive
                                  - negative
                                  - neutral
                                  - null
                              quote_as_of:
                                type:
                                  - string
                                  - 'null'
                                format: date-time
                              quote_as_of_label:
                                type:
                                  - string
                                  - 'null'
                              estimated_cost_display:
                                type:
                                  - string
                                  - 'null'
                              order_type_display:
                                type:
                                  - string
                                  - 'null'
                              proposed_by_label:
                                type: string
                              top_markdown:
                                type:
                                  - string
                                  - 'null'
                              bottom_markdown:
                                type:
                                  - string
                                  - 'null'
                              reason_markdown:
                                type:
                                  - string
                                  - 'null'
                              timing_disclosure:
                                type:
                                  - string
                                  - 'null'
                              money_movement_disclosure:
                                type:
                                  - string
                                  - 'null'
                              primary_action_label:
                                type: string
                              secondary_action_label:
                                type: string
                            required:
                              - kind
                              - account
                              - symbol
                              - security_name
                              - side
                              - side_label
                              - input_mode
                              - quantity
                              - quantity_display
                              - amount_label
                              - current_price_display
                              - price_change_display
                              - price_change_direction
                              - quote_as_of
                              - quote_as_of_label
                              - estimated_cost_display
                              - order_type_display
                              - proposed_by_label
                              - top_markdown
                              - bottom_markdown
                              - reason_markdown
                              - timing_disclosure
                              - money_movement_disclosure
                              - primary_action_label
                              - secondary_action_label
                          - type: object
                            properties:
                              kind:
                                type: string
                                enum:
                                  - transfer
                              method:
                                type: string
                                enum:
                                  - bank_transfer
                                  - instant
                                  - wire
                              method_display:
                                type: string
                              from:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  kind:
                                    type: string
                                    enum:
                                      - yoshi_account
                                      - plaid_account
                                      - external_counterparty
                                  display_name:
                                    type: string
                                  subtitle:
                                    type:
                                      - string
                                      - 'null'
                                  institution_name:
                                    type:
                                      - string
                                      - 'null'
                                  icon_url:
                                    type:
                                      - string
                                      - 'null'
                                  balance_available_display:
                                    type:
                                      - string
                                      - 'null'
                                  balance_current_display:
                                    type:
                                      - string
                                      - 'null'
                                  balance_as_of:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                required:
                                  - id
                                  - kind
                                  - display_name
                                  - subtitle
                                  - institution_name
                                  - icon_url
                                  - balance_available_display
                                  - balance_current_display
                                  - balance_as_of
                              to:
                                type: object
                                properties:
                                  id:
                                    type: string
                                  kind:
                                    type: string
                                    enum:
                                      - yoshi_account
                                      - plaid_account
                                      - external_counterparty
                                  display_name:
                                    type: string
                                  subtitle:
                                    type:
                                      - string
                                      - 'null'
                                  institution_name:
                                    type:
                                      - string
                                      - 'null'
                                  icon_url:
                                    type:
                                      - string
                                      - 'null'
                                  balance_available_display:
                                    type:
                                      - string
                                      - 'null'
                                  balance_current_display:
                                    type:
                                      - string
                                      - 'null'
                                  balance_as_of:
                                    type:
                                      - string
                                      - 'null'
                                    format: date-time
                                required:
                                  - id
                                  - kind
                                  - display_name
                                  - subtitle
                                  - institution_name
                                  - icon_url
                                  - balance_available_display
                                  - balance_current_display
                                  - balance_as_of
                              amount:
                                type: string
                              amount_display:
                                type: string
                              amount_label:
                                type: string
                              currency_code:
                                type: string
                              description:
                                type:
                                  - string
                                  - 'null'
                              request_id:
                                type: string
                              timing_label:
                                type: string
                              timing_disclosure:
                                type: string
                              money_movement_disclosure:
                                type: string
                              primary_action_label:
                                type: string
                              secondary_action_label:
                                type: string
                            required:
                              - kind
                              - method
                              - method_display
                              - from
                              - to
                              - amount
                              - amount_display
                              - amount_label
                              - currency_code
                              - description
                              - request_id
                              - timing_label
                              - timing_disclosure
                              - money_movement_disclosure
                              - primary_action_label
                              - secondary_action_label
                          - type: 'null'
                    required:
                      - action_id
                      - action_type
                      - action_kind
                      - status
                      - thread_id
                      - approval_url
                      - approval_status_url
                      - description
                      - display_error_message
                      - created_at
                      - updated_at
                      - decided_at
                      - executed_at
                      - expires_at
                      - decision_needs
                      - details_v1
                  meta:
                    type: object
                    properties:
                      request_id:
                        type: string
                        example: req_a1b2c3d4-e5f6-7890-abcd-ef1234567890
                      timestamp:
                        type: string
                        format: date-time
                        example: '2026-04-10T12:00:00.000Z'
                    required:
                      - request_id
                      - timestamp
                required:
                  - data
                  - meta
        '500':
          description: Failed to create approval request.
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: JavaScript
          source: |-
            import Yoshi from '@yoshi-ai/sdk';

            const client = new Yoshi({
              apiKey: process.env['YOSHI_API_KEY'], // This is the default and can be omitted
            });

            const account = await client.paperTrading.accounts.create();

            console.log(account.data);
        - lang: Python
          source: |-
            import os
            from yoshi_sdk import Yoshi

            client = Yoshi(
                api_key=os.environ.get("YOSHI_API_KEY"),  # This is the default and can be omitted
            )
            account = client.paper_trading.accounts.create()
            print(account.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/yoshi-ai-dev/yoshi-go\"\n\t\"github.com/yoshi-ai-dev/yoshi-go/option\"\n)\n\nfunc main() {\n\tclient := yoshi.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\taccount, err := client.PaperTrading.Accounts.New(context.TODO(), yoshi.PaperTradingAccountNewParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", account.Data)\n}\n"
        - lang: CLI
          source: |-
            yoshi paper-trading:accounts create \
              --api-key 'My API Key'
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        A Yoshi API key from Settings → API Keys, or a Yoshi OAuth access token
        issued by Sign in with Yoshi.
      x-default: yoshi_test_...

````